in scala.xml.dtd
class ElementValidator

`class` ElementValidator
  `extends` java.lang.Object
  `with` (scala.xml.Node) => scala.Boolean
  `with` scala.ScalaObject

  validate children and/or attributes of an element exceptions are created but not thrown.

Constructor Summary
| `def` this

Var Summary
`protected` | `var` adecls : scala.List[scala.xml.dtd.AttrDecl]
`protected` | `var` contentModel : scala.xml.dtd.ContentModel
`protected` | `var` dfa : scala.util.automata.DetWordAutom[scala.xml.dtd.ContentModel.ElemName]
| `var` exc : scala.List[scala.xml.dtd.ValidationException]

Def Summary
| `def` apply (n: scala.xml.Node) : scala.Boolean applies various validations - accumulates error messages in exc
| `def` check (md: scala.xml.MetaData) : scala.Boolean check attributes, return true if md corresponds to attribute declarations in adecls.
| `def` check (nodes: scala.Seq[scala.xml.Node]) : scala.Boolean check children, return true if conform to content model
| `def` getContentModel : scala.xml.dtd.ContentModel
| `def` getIterator (nodes: scala.Seq[scala.xml.Node], skipPCDATA: scala.Boolean) : scala.Iterator[scala.xml.dtd.ContentModel.ElemName]
| `def` setContentModel (cm: scala.xml.dtd.ContentModel) : scala.Unit set content model, enabling element validation
| `def` setMetaData (adecls: scala.List[scala.xml.dtd.AttrDecl]) : scala.Unit set meta data, enabling attribute validation

Def inherited from (scala.xml.Node) => scala.Boolean
andThen , apply, compose, toString

Constructor Detail

`def` this

Var Detail

`protected var` adecls : scala.List[scala.xml.dtd.AttrDecl]

`protected var` contentModel : scala.xml.dtd.ContentModel

`protected var` dfa : scala.util.automata.DetWordAutom[scala.xml.dtd.ContentModel.ElemName]

`var` exc : scala.List[scala.xml.dtd.ValidationException]

Def Detail

`def` apply (n: scala.xml.Node): scala.Boolean

  applies various validations - accumulates error messages in exc

Todo:
  : fail on first error, ignore other errors (rearranging conditions)

`def` check (md: scala.xml.MetaData): scala.Boolean

  check attributes, return true if md corresponds to attribute declarations in adecls.

`def` check (nodes: scala.Seq[scala.xml.Node]): scala.Boolean

  check children, return true if conform to content model

Precondition:
  contentModel != null

`def` getContentModel : scala.xml.dtd.ContentModel

`def` getIterator (nodes: scala.Seq[scala.xml.Node], skipPCDATA: scala.Boolean): scala.Iterator[scala.xml.dtd.ContentModel.ElemName]

`def` setContentModel (cm: scala.xml.dtd.ContentModel): scala.Unit

  set content model, enabling element validation

`def` setMetaData (adecls: scala.List[scala.xml.dtd.AttrDecl]): scala.Unit

  set meta data, enabling attribute validation